dpkg-gencontrol(1)

NOM
dpkg-gencontrol - Créer des fichiers de contrôle Debian.

SYNOPSIS
dpkg-gencontrol [option...]

DESCRIPTION
dpkg-gencontrol lit les informations contenues dans une arborescence Debian dépaquetée et crée le fichier « control » d'un paquet binaire (par défaut, c'est le fichier debian/tmp/DEBIAN/control) ; durant cette action il y a simplification des champs de relations.

Pre-Depends, Depends, Recommends et Suggests sont simplifiés dans cet ordre pour supprimer les dépendances qui sont connues pour être vérifiées par la plus forte dépendance déjà traitée. Sont aussi supprimées toutes les auto-dépendances (dans les faits, cela supprime les dépendances qui sont déjà validées par la version du paquet déjà installé). Logiquement, il conserve les correspondances entre plusieurs dépendances dans le même paquet. L'ordre des dépendances est conservé du mieux possible : si une dépendance doit être supprimée à cause d'une autre dépendance qui apparaît plus loin dans le champ, la dépendance remplaçante prendra la place de celle éliminée.

Les autres champs (Enhances, Conflicts, Breaks, Replaces et Provides) sont également simplifiés individuellement par l'analyse des différentes dépendances lorsque un paquet est indiqué plusieurs fois dans le champ.

dpkg-gencontrol ajoute aussi une entrée pour un paquet binaire dans debian/files.

OPTIONS

-vversion
    Fixe le numéro de version du paquet binaire qui sera créé.

-Vnom=valeur
    Set an output substitution variable. See deb-substvars(5) for discussion of output substitution.

-Tfichier-substvars
    Lecture des variables de substitution depuis fichier-substvars ; la valeur par défaut est debian/substvars. Cette option peut être utilisée plusieurs fois pour lire les variables de substitution depuis plusieurs fichiers (depuis dpkg 1.15.6).

-Dchamp=valeur
    Remplace ou ajoute en sortie un champ dans le fichier de contrôle.

-Uchamp
    Supprime en sortie un champ dans le fichier de contrôle.

-cfichier-de-contrôle
    Indique le principal fichier de contrôle des sources où trouver des renseignements. Par défaut, c'est le fichier debian/control.

-lfichier-des-changements
    Indique le fichier des changements où trouver des renseignements. Par défaut, c'est le fichier debian/changelog.

-ffichier/liste-des-fichiers
    Lit ou écrit la liste des fichiers qui doivent être envoyés vers l'archive dans ce fichier plutôt que dans le fichier debian/files.

-Fformat-du-fichier-des-changements
    Specifies the format of the changelog. See dpkg-parsechangelog(1) for information about alternative formats.

-ppaquet
    Cette option produit les informations concernant le paquet binaire paquet.Si le fichier de contrôle des sources liste un seul paquet binaire, on peut omettre cette option ; sinon il est indispensable d'indiquer le paquet pour lequel on veut produire les informations.

-nnom-de-fichier
    Le nom du paquet est nom-de-fichier au lieu de l'habituel : paquet_version_arch.deb.

-is, -ip, -isp
    These options are ignored for compatibility with older versions of the dpkg build scripts but are now deprecated. Previously they were used to tell dpkg-gencontrol to include the Section and Priority fields in the control file. This is now the default behavior. If you want to get the old behavior you can use the -U option to delete the fields from the control file.

-Prépertoire-construction-paquet
    Analyse répertoire-construction-paquet au lieu de debian/tmp. Cette valeur sert à trouver la valeur par défaut de la variable de substitution Installed-Size et celle du champ correspondant dans le fichier de contrôle (on utilise la commande du) ; elle donne aussi l'emplacement par défaut pour le fichier de sortie.

-O[nom-de-fichier]
    Affiche le fichier « control » sur la sortie standard (ou nom-de-fichier, depuis dpkg 1.17.2), au lieu de debian/tmp/DEBIAN/control (ou répertoire-construction-paquet/DEBIAN/control si l'option -P a été utilisée).

-?, --help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

FICHIERS

debian/control
    Le principal fichier d'information sur les sources ; il donne des renseignements qui ne dépendent pas d'une version concernant le paquet source et les paquets binaires qui peuvent être créés.

debian/files
    La liste des fichiers créés qui font partie de ceux qui seront envoyés sur le serveur. dpkg-gencontrol ajoute les noms présumés des fichiers des paquets binaires à partir des fichiers « control » qu'il crée.

VOIR AUSSI
deb-substvars(5), deb-src-control(5), deb-changelog(5), deb-control(5).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.